> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletsuite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup swap status by quoteId



## OpenAPI

````yaml /openapi.json get /api/swaps/status/{quoteId}
openapi: 3.1.0
info:
  title: WalletSuite REST API
  description: >-
    Multi-chain wallet operations, balances, prices, and transaction lifecycle
    as a REST API.
  contact:
    name: WalletSuite
    url: https://walletsuite.io
  version: prod
servers:
  - url: https://api.walletsuite.io
    description: WalletSuite API
security:
  - ApiKeyAuth: []
tags:
  - name: Transactions
    description: >-
      Get transaction history by address, check live transaction status, and
      send signed transactions.
  - name: Fees
    description: Fee estimation endpoints
  - name: Balances
    description: Fetch balances on any supported chain (Ethereum, Tron).
  - name: Assets
    description: >-
      List supported blockchain assets from the database loaded at startup from
      bundled resources
  - name: Asset Status
    description: Asset enablement and restrictions.
  - name: Prices
    description: Fiat prices for symbols and contract addresses
  - name: Swaps
    description: Swap quote, route, and transaction building.
  - name: Approvals
    description: Allowance, approval tx data, and approval status.
  - name: NFTs
    description: NFT collections, tokens, owners, and transfer building.
  - name: Staking
    description: Native staking APR, validators, positions, and transaction building.
  - name: Name Service
    description: Name resolution and reverse resolution.
  - name: Chains
    description: Chain registry and chain capabilities.
  - name: Chain Specific
    description: Chain specific endpoints consumable by SDK.
  - name: Blocks
    description: View most recently indexed block information.
  - name: Info
    description: General information and summary counts.
paths:
  /api/swaps/status/{quoteId}:
    get:
      tags:
        - Swaps
      summary: Lookup swap status by quoteId
      operationId: status_1
      parameters:
        - name: quoteId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResponseSwapStatusInfoDto'
components:
  schemas:
    ApiResponseSwapStatusInfoDto:
      type: object
      properties:
        ok:
          type: boolean
        code:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/SwapStatusInfoDto'
      required:
        - code
        - message
        - ok
    SwapStatusInfoDto:
      type: object
      description: Swap intent status snapshot.
      properties:
        quoteId:
          type: string
          description: Quote id.
        provider:
          type: string
          description: Winning provider id.
          example: oneinch
        status:
          type: string
          description: Lifecycle state.
          enum:
            - QUOTED
            - BUILT
            - BROADCAST
            - CONFIRMED
            - EXPIRED
            - FAILED
        txHash:
          type: string
          description: On-chain transaction hash once broadcast.
        srcChain:
          type: string
          description: Source chain key.
          example: ethereum
        dstChain:
          type: string
          description: Destination chain key.
          example: ethereum
      required:
        - dstChain
        - provider
        - quoteId
        - srcChain
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key provided by WalletSuite team
      name: x-api-key
      in: header

````